Pular para o conteúdo principal
POST
/
api
/
workspace
/
{workspaceId}
/
catalogs
Create catalog
curl --request POST \
  --url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>"
}
'
{
  "catalog": {
    "id": "<string>",
    "workspace_id": "<string>",
    "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "source": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Cabeçalhos

X-Active-Brand
string<uuid>

Active brand ID header (informational; brand_id in body takes precedence).

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$

Corpo

application/json
name
string
obrigatório
Required string length: 1 - 255
brand_id
string<uuid>
obrigatório

Brand this catalog belongs to. Required — use BrandSwitcher to select active brand.

description
string | null
Maximum string length: 1000

Resposta

Catalog created successfully

catalog
object
Última modificação em 18 de maio de 2026